com.genesyslab.wfm8.API.service.schedule850

## Class SchAuditLog

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchAuditLog

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAuditLog
      extends java.lang.Object
      implements java.io.Serializable

  Stores the Schedule Audit Log
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgUserShort>` | `cfgUserInfo` Contains short user information for every unique user in the returned audit log.
    `protected int` | `cfgUserInfoNSizeIs` Number of elements in the "cfgUserInfo" array
    `protected SchAgentDayHolder` | `schedules` `SchAgentDayHolder` contains schedule and related information
    `protected java.util.List<SchScenarioShort>` | `schScenarioInfo` Contains `SchScenarioShort` info for every scenario referenced in the response.
    `protected int` | `schScenarioInfoNSizeIs` Number of elements in the "schScenarioInfo" array
    `private static long` | `serialVersionUID`
    `protected java.util.List<SchAuditTransaction>` | `transactions` A list of `SchAuditTransaction`
    `protected int` | `transactionsNSizeIs` Number of elements in the "transactions" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAuditLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgUserShort>` | `getCfgUserInfo()` Gets the value of the cfgUserInfo property.
    `int` | `getCfgUserInfoNSizeIs()` Gets the value of the cfgUserInfoNSizeIs property.
    `SchAgentDayHolder` | `getSchedules()` Gets the value of the schedules property.
    `java.util.List<SchScenarioShort>` | `getSchScenarioInfo()` Gets the value of the schScenarioInfo property.
    `int` | `getSchScenarioInfoNSizeIs()` Gets the value of the schScenarioInfoNSizeIs property.
    `java.util.List<SchAuditTransaction>` | `getTransactions()` Gets the value of the transactions property.
    `int` | `getTransactionsNSizeIs()` Gets the value of the transactionsNSizeIs property.
    `int` | `hashCode()`
    `void` | `setCfgUserInfo(java.util.List<CfgUserShort> cfgUserInfo)` Sets the value of the cfgUserInfo property.
    `void` | `setCfgUserInfoNSizeIs(int value)` Sets the value of the cfgUserInfoNSizeIs property.
    `void` | `setSchedules(SchAgentDayHolder value)` Sets the value of the schedules property.
    `void` | `setSchScenarioInfo(java.util.List<SchScenarioShort> schScenarioInfo)` Sets the value of the schScenarioInfo property.
    `void` | `setSchScenarioInfoNSizeIs(int value)` Sets the value of the schScenarioInfoNSizeIs property.
    `void` | `setTransactions(java.util.List<SchAuditTransaction> transactions)` Sets the value of the transactions property.
    `void` | `setTransactionsNSizeIs(int value)` Sets the value of the transactionsNSizeIs property.
    `java.lang.String` | `toString()`
    `SchAuditLog` | `withCfgUserInfo(CfgUserShort... values)`
    `SchAuditLog` | `withCfgUserInfo(java.util.Collection<CfgUserShort> values)`
    `SchAuditLog` | `withCfgUserInfoNSizeIs(int value)`
    `SchAuditLog` | `withSchedules(SchAgentDayHolder value)`
    `SchAuditLog` | `withSchScenarioInfo(java.util.Collection<SchScenarioShort> values)`
    `SchAuditLog` | `withSchScenarioInfo(SchScenarioShort... values)`
    `SchAuditLog` | `withSchScenarioInfoNSizeIs(int value)`
    `SchAuditLog` | `withTransactions(java.util.Collection<SchAuditTransaction> values)`
    `SchAuditLog` | `withTransactions(SchAuditTransaction... values)`
    `SchAuditLog` | `withTransactionsNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### transactionsNSizeIs

          protected int transactionsNSizeIs

      Number of elements in the "transactions" array

    - #### transactions

          protected java.util.List<SchAuditTransaction> transactions

      A list of `SchAuditTransaction`

    - #### schedules

          protected SchAgentDayHolder schedules

      `SchAgentDayHolder` contains schedule and related information

    - #### schScenarioInfoNSizeIs

          protected int schScenarioInfoNSizeIs

      Number of elements in the "schScenarioInfo" array

    - #### schScenarioInfo

          protected java.util.List<SchScenarioShort> schScenarioInfo

      Contains `SchScenarioShort` info for every scenario referenced in the response. It is null if the scenario info was not requested.

    - #### cfgUserInfoNSizeIs

          protected int cfgUserInfoNSizeIs

      Number of elements in the "cfgUserInfo" array

    - #### cfgUserInfo

          protected java.util.List<CfgUserShort> cfgUserInfo

      Contains short user information for every unique user in the returned audit log. It is null if user info was not requested. `CfgUserShort`

  - ### Constructor Detail

    - #### SchAuditLog

          public SchAuditLog()

  - ### Method Detail

    - #### getTransactionsNSizeIs

          public int getTransactionsNSizeIs()

      Gets the value of the transactionsNSizeIs property.

    - #### setTransactionsNSizeIs

          public void setTransactionsNSizeIs(int value)

      Sets the value of the transactionsNSizeIs property.

    - #### getTransactions

          public java.util.List<SchAuditTransaction> getTransactions()

      Gets the value of the transactions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transactions property.

      For example, to add a new item, do as follows:

              getTransactions().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAuditTransaction`

    - #### getSchedules

          public SchAgentDayHolder getSchedules()

      Gets the value of the schedules property.
      Returns:
        possible object is `SchAgentDayHolder`

    - #### setSchedules

          public void setSchedules(SchAgentDayHolder value)

      Sets the value of the schedules property.
      Parameters:
        `value` - allowed object is `SchAgentDayHolder`

    - #### getSchScenarioInfoNSizeIs

          public int getSchScenarioInfoNSizeIs()

      Gets the value of the schScenarioInfoNSizeIs property.

    - #### setSchScenarioInfoNSizeIs

          public void setSchScenarioInfoNSizeIs(int value)

      Sets the value of the schScenarioInfoNSizeIs property.

    - #### getSchScenarioInfo

          public java.util.List<SchScenarioShort> getSchScenarioInfo()

      Gets the value of the schScenarioInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schScenarioInfo property.

      For example, to add a new item, do as follows:

              getSchScenarioInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `SchScenarioShort`

    - #### getCfgUserInfoNSizeIs

          public int getCfgUserInfoNSizeIs()

      Gets the value of the cfgUserInfoNSizeIs property.

    - #### setCfgUserInfoNSizeIs

          public void setCfgUserInfoNSizeIs(int value)

      Sets the value of the cfgUserInfoNSizeIs property.

    - #### getCfgUserInfo

          public java.util.List<CfgUserShort> getCfgUserInfo()

      Gets the value of the cfgUserInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cfgUserInfo property.

      For example, to add a new item, do as follows:

              getCfgUserInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgUserShort`

    - #### withTransactionsNSizeIs

          public SchAuditLog withTransactionsNSizeIs(int value)

    - #### withTransactions

          public SchAuditLog withTransactions(SchAuditTransaction... values)

    - #### withTransactions

          public SchAuditLog withTransactions(java.util.Collection<SchAuditTransaction> values)

    - #### withSchedules

          public SchAuditLog withSchedules(SchAgentDayHolder value)

    - #### withSchScenarioInfoNSizeIs

          public SchAuditLog withSchScenarioInfoNSizeIs(int value)

    - #### withSchScenarioInfo

          public SchAuditLog withSchScenarioInfo(SchScenarioShort... values)

    - #### withSchScenarioInfo

          public SchAuditLog withSchScenarioInfo(java.util.Collection<SchScenarioShort> values)

    - #### withCfgUserInfoNSizeIs

          public SchAuditLog withCfgUserInfoNSizeIs(int value)

    - #### withCfgUserInfo

          public SchAuditLog withCfgUserInfo(CfgUserShort... values)

    - #### withCfgUserInfo

          public SchAuditLog withCfgUserInfo(java.util.Collection<CfgUserShort> values)

    - #### setTransactions

          public void setTransactions(java.util.List<SchAuditTransaction> transactions)

      Sets the value of the transactions property.
      Parameters:
        `transactions` - allowed object is `SchAuditTransaction`

    - #### setSchScenarioInfo

          public void setSchScenarioInfo(java.util.List<SchScenarioShort> schScenarioInfo)

      Sets the value of the schScenarioInfo property.
      Parameters:
        `schScenarioInfo` - allowed object is `SchScenarioShort`

    - #### setCfgUserInfo

          public void setCfgUserInfo(java.util.List<CfgUserShort> cfgUserInfo)

      Sets the value of the cfgUserInfo property.
      Parameters:
        `cfgUserInfo` - allowed object is `CfgUserShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.